Skip to content

Manage cash machines.

Operations

contentsReport

POST

Generates a report on the contents of the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/contentsReport
POST /nexum/627/2022.01/cashmachines/contentsReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

dispense

POST

Dispenses cash from the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
duressFlagbooleanoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/dispense
POST /nexum/627/2022.01/cashmachines/dispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "requestedDistribution": {},
  "duressFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

startDeposit

POST

Initiates the deposit process at the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/startDeposit
POST /nexum/627/2022.01/cashmachines/startDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

continueDeposit

POST

Allows the cash machine to continue a deposit process.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/continueDeposit
POST /nexum/627/2022.01/cashmachines/continueDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

acceptDeposit

POST

Allows the cash machine to accept a deposit.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/acceptDeposit
POST /nexum/627/2022.01/cashmachines/acceptDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

rejectDeposit

POST

Rejects a deposit at the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/rejectDeposit
POST /nexum/627/2022.01/cashmachines/rejectDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "timeout": 0,
  "retainedDistribution": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

cassetteReport

POST

Generates a report on the status of cassettes in the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
cassetteCountintegeroptional
POST/nexum/{sym}/2022.01/cashmachines/cassetteReport
POST /nexum/627/2022.01/cashmachines/cassetteReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

cassetteAdjustment

POST

Adjusts the cassettes in the cash machine.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
cassetteCountintegeroptional
coinAmountintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/cassetteAdjustment
POST /nexum/627/2022.01/cashmachines/cassetteAdjustment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "cassetteCount": 0,
  "cassettes": [],
  "coinAmount": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteDispense

POST

Dispenses cash remotely, often initiated through an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
duressFlagbooleanoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteDispense
POST /nexum/627/2022.01/cashmachines/remoteDispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "requestedDistribution": {},
  "duressFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionInquiry

POST

Inquires about the status of a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionInquiry
POST /nexum/627/2022.01/cashmachines/remoteTransactionInquiry HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionCancel

POST

Cancels a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionCancel
POST /nexum/627/2022.01/cashmachines/remoteTransactionCancel HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteTransactionComplete

POST

Completes a remote transaction initiated via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

tranTypestringoptional
timeoutintegeroptional
remoteTransactionIdintegeroptional
pinstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteTransactionComplete
POST /nexum/627/2022.01/cashmachines/remoteTransactionComplete HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "tranType": 0,
  "timeout": 0,
  "remoteTransactionId": 0,
  "pin": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

remoteDeposit

POST

Facilitates deposit remotely, usually via an app or online banking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

timeoutintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/cashmachines/remoteDeposit
POST /nexum/627/2022.01/cashmachines/remoteDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "device": {},
  "timeout": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}